# itte

Mini IRC bot module in Lua.


Currently supported:

- Authentication via SASL (plain) or Nickserv
- Joining multiple servers
- Config reload


## Requirements

- [Lua 5.x](https://www.lua.org/)
- [luasocket](https://w3.impa.br/~diego/software/luasocket/)
- [luasec](https://github.com/brunoos/luasec)


## Usage

See the bot files in the `examples/` directory for usage notes.


## Example: ramenkan

- Install Lua and other dependencies, e.g. for Alpine:
  `apk add lua-socket lua-sec`

- Copy the `itte*.lua` files to the `examples/` directory. Copy the
  `examples/sample.servers.lua` as `ramenkan.servers.lua` and change the server
  settings as applicable.

- Run: `nohup lua /path/to/examples/ramenkan.lua >/dev/null 2>&1 &`


## License

BSD-3.0
